Installing PE-agents on SLES12

asked 2014-12-22 17:53:43 -0500

Ath gravatar image

updated 2014-12-22 18:05:19 -0500

Hi, 

I am trying to install the PE-agent client on the SLES12. SLES 12 I am running is an Evaluation Version.

I have followed https://docs.puppetlabs.com/pe/latest/install_agents.html steps outlined here.

Added both pe_repo::platform::sles_11_x86_64 and pe_repo::platform::sles_12_x86_64

But 

    root@ubuntu:/opt/puppet/packages/public# ls -l
    total 24
    drwxr-xr-x 2 root root 4096 Dec 22 15:44 3.7.0
    lrwxrwxrwx 1 root root   33 Nov 23 06:47 current -> /opt/puppet/packages/public/3.7.0
    -rw-r--r-- 1 root root 1716 Nov 23 06:47 GPG-KEY-puppetlabs
    drwxr-xr-x 3 root root 4096 Dec 21 04:42 puppet-enterprise-3.7.0-debian-6-amd64-agent
    drwxr-xr-x 3 root root 4096 Dec 22 15:44 puppet-enterprise-3.7.0-sles-11-x86_64-agent
    drwxr-xr-x 3 root root 4096 Nov 23 06:47 puppet-enterprise-3.7.0-ubuntu-14.04-amd64
    drwxr-xr-x 3 root root 4096 Nov 23 06:47 puppet-enterprise-3.7.0-ubuntu-14.04-amd64-agent

From the client,SLES server

    suseserver:~ # curl -k https://ubuntu:8140/packages/3.7.0/install.bash | sudo bash
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
    100  9790  100  9790    0     0  58479      0 --:--:-- --:--:-- --:--:-- 58975
    Removing repository 'puppet-enterprise' ..........................................................................................................................[done]
    Repository 'puppet-enterprise' has been removed.
    Adding repository 'puppet-enterprise' ............................................................................................................................[done]
    Repository 'puppet-enterprise' successfully added
    Enabled: Yes
    Autorefresh: No
    GPG check: Yes
    URI: https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no

    Retrieving repository 'puppet-enterprise' metadata ------------------------------------------------------------------------------------------------------------------[\]
    File '/repodata/repomd.xml' not found on medium 'https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no'

    Abort, retry, ignore? [a/r/i/? shows all options] (a): a
    Abort, retry, ignore? [a/r/i/? shows all options] (a): a
    Retrieving repository 'puppet-enterprise' metadata ..............................................................................................................[error]
    Repository 'puppet-enterprise' is invalid.
    [puppet-enterprise|https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'puppet-enterprise' because of the above error.
    Could not refresh the repositories because of errors.
    File '/repodata/repomd.xml' not found on medium 'https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no'

    Abort, retry, ignore? [a/r/i/? shows all options] (a): a
    Abort, retry, ignore? [a/r/i/? shows all options] (a): a
    Error building the cache:
    [puppet-enterprise|https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no] Valid metadata not found at specified URL
    Warning: Disabling repository 'puppet-enterprise' because of the above error.
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...

    Nothing to do.
    File '/repodata/repomd.xml' not found on medium 'https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no'

    Abort, retry, ignore? [a/r/i/? shows all options] (a): a
    Abort, retry, ignore? [a/r/i/? shows all options] (a): a
    Error building the cache:
    [puppet-enterprise|https://ubuntu:8140/packages/3.7.0/sles-12-x86_64?ssl_verify=no] Valid metadata not found at specified URL
    Warning: Disabling repository 'puppet-enterprise' because of the above error.
    Loading repository data...
    Reading installed packages...
    'pe-agent' not found in package names. Trying capabilities.
    No provider of 'pe-agent' found.
    /tmp/tmp.u3QxlZ8416 ...
(more)
edit retag flag offensive close merge delete

Comments

1

SUSE 11 worked perfectly fine.

Ath gravatar imageAth ( 2014-12-22 18:36:50 -0500 )edit

SLES 12 x64 error persists

Ath gravatar imageAth ( 2014-12-22 18:46:15 -0500 )edit